Bug 1434111 - CVE-2017-2661 pcs: Improper node name field validation when creating clusters leads to XSS [fedora-all]
Summary: CVE-2017-2661 pcs: Improper node name field validation when creating clusters...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-2661
TreeView+ depends on / blocked
 
Reported: 2017-03-20 18:09 UTC by Cedric Buissart 🐶
Modified: 2017-04-03 22:53 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-03 22:19:40 UTC


Attachments (Terms of Use)

Comment 1 Cedric Buissart 🐶 2017-03-20 18:09:14 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1428948

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-03-23 13:03:08 UTC
pcs-0.9.156-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71e69a691b

Comment 3 Fedora Update System 2017-03-23 13:03:23 UTC
pcs-0.9.156-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7accc8010b

Comment 4 Fedora Update System 2017-03-24 19:52:35 UTC
pcs-0.9.156-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7accc8010b

Comment 5 Fedora Update System 2017-03-24 20:23:37 UTC
pcs-0.9.156-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-71e69a691b

Comment 6 Fedora Update System 2017-04-03 22:19:40 UTC
pcs-0.9.156-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-04-03 22:53:20 UTC
pcs-0.9.156-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.